/**
 *  Captura os Eventos do Mouse
 */


/**
 *  Evento onClick  =======================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEUP);
  document.onmouseup = mouse_Click;
}else if (document.attachEvent)
{
  document.attachEvent('onclick', mouse_Click);
}else if (document.addEventListener)
{
  document.addEventListener('click', mouse_Click, false);
}else
{
  document.onclick = mouse_Click;
}// End if (document.layers)


/**
 *  Evento onMouseOver  ===================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEOVER);
  document.onmouseover = mouse_Over;
}else if (document.attachEvent)
{
  document.attachEvent('onmouseover', mouse_Over);
}else if (document.addEventListener)
{
 document.addEventListener('mouseover', mouse_Over, false);
}else
{
  document.onmouseover = mouse_Over;
}// End if (document.layers)


/**
 *  Evento onMouseOut  ======================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEOUT);
  document.onmouseover = mouse_Out;
}else if (document.attachEvent)
{
  document.attachEvent('onmouseout', mouse_Out);
}else if (document.addEventListener)
{
 document.addEventListener('mouseout', mouse_Out, false);
}else
{
  document.onmouseout = mouse_Out;
}// End if (document.layers)


/**
 *  Evento onMouseMove  =====================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEMOVE);
  document.onmouseover = mouse_Move;
}else if (document.attachEvent)
{
  document.attachEvent('onmousemove', mouse_Move);
}else if (document.addEventListener)
{
 document.addEventListener('mousemove', mouse_Move, false);
}else
{
  document.onmouseover = mouse_Move;
}// End if (document.layers)


/**
 *  Evento onMouseDown  =====================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEDOWN);
  document.onmousedown = mouse_Down;
}else if (document.attachEvent)
{
  document.attachEvent('onmousedown', mouse_Down);
}else if (document.addEventListener)
{
 document.addEventListener('mousedown', mouse_Down, false);
}else
{
  document.onmousedown = mouse_Down;
}// End if (document.layers)


/**
 *  Evento onMouseUp  =======================================================
 */
if (document.layers)
{
  document.captureEvents(Event.MOUSEUP);
  document.onmousedown = mouse_UP;
}else if (document.attachEvent)
{
  document.attachEvent('onmouseup', mouse_Up);
}else if (document.addEventListener)
{
 document.addEventListener('mouseup', mouse_Up, false);
}else
{
  document.onmousedown = mouse_Up;
}// End if (document.layers)







/**
 *  getObjEvento()
 */
function getObjEvento(evt)
{
  if (document.layers)
  {
    objectID = evt.target.id;
  }else if (window.event && window.event.srcElement)
  {
    objectID = event.srcElement.id;
  }else if (evt && evt.stopPropagation && !window.opera)
  {
    if (evt.target.nodeType == 1)
    {
      objectID = evt.target.id;
    }else
    {
      objectID = evt.target.parentNode.id;
    }
  }else if (window.opera && evt)
  {
    objectID = evt.target.id;
  }// End if (document.layers)
  
  return objectID;
}// End





